From: Etienne Millon <me@emillon.org>
Date: Sat, 30 Apr 2016 19:50:35 +0200
Subject: Examples directory

From d081f07c5fb4db65f7f4d04b7819a19e22c876da Mon Sep 17 00:00:00 2001
Origin: upstream
Bug: https://github.com/Diaoul/subliminal/issues/656
Forwarded: not-needed
Last-Update: 2020-09-13

This directory is not present in the tarball, but is present in the git
repository. It contains the nautilus extension.
---
 examples/README.rst      |  18 ++
 examples/i18n/de.po      | 117 +++++++++++
 examples/i18n/es.po      | 117 +++++++++++
 examples/i18n/fr.po      | 117 +++++++++++
 examples/i18n/it.po      | 117 +++++++++++
 examples/i18n/pt.po      | 117 +++++++++++
 examples/i18n/pt_BR.po   | 116 +++++++++++
 examples/i18n/ru.po      | 117 +++++++++++
 examples/i18n/tr.po      | 117 +++++++++++
 examples/nautilus.py     | 374 +++++++++++++++++++++++++++++++++++
 examples/ui/choose.glade | 193 ++++++++++++++++++
 examples/ui/config.glade | 502 +++++++++++++++++++++++++++++++++++++++++++++++
 12 files changed, 2022 insertions(+)
 create mode 100644 examples/README.rst
 create mode 100644 examples/i18n/de.po
 create mode 100644 examples/i18n/es.po
 create mode 100644 examples/i18n/fr.po
 create mode 100644 examples/i18n/it.po
 create mode 100644 examples/i18n/pt.po
 create mode 100644 examples/i18n/pt_BR.po
 create mode 100644 examples/i18n/ru.po
 create mode 100644 examples/i18n/tr.po
 create mode 100755 examples/nautilus.py
 create mode 100644 examples/ui/choose.glade
 create mode 100644 examples/ui/config.glade

diff --git a/examples/README.rst b/examples/README.rst
new file mode 100644
index 0000000..ce70182
--- /dev/null
+++ b/examples/README.rst
@@ -0,0 +1,18 @@
+Examples
+========
+This directory contains various examples, UI files and translations files.
+Refer to subliminal's main README for install instructions.
+
+Translations
+------------
+This is how to generate the po template file::
+
+    # extract strings from ui files
+    intltool-extract --type=gettext/glade ui/config.glade
+    intltool-extract --type=gettext/glade ui/choose.glade
+
+    # generate subliminal.pot
+    xgettext -k_ -kN_ -w 120 --from-code=utf-8 -o i18n/subliminal.pot ui/config.glade.h ui/choose.glade.h nautilus.py
+
+    # clean up
+    rm ui/*.h
diff --git a/examples/i18n/de.po b/examples/i18n/de.po
new file mode 100644
index 0000000..9ead081
--- /dev/null
+++ b/examples/i18n/de.po
@@ -0,0 +1,117 @@
+# Subliminal language file
+# 
+# Translators:
+# Andrej Ebert <mask@mask.ms>, 2015
+msgid ""
+msgstr ""
+"Project-Id-Version: subliminal\n"
+"Report-Msgid-Bugs-To: diaoulael@gmail.com\n"
+"POT-Creation-Date: 2015-10-30 18:54+0100\n"
+"PO-Revision-Date: 2015-09-09 18:28+0000\n"
+"Last-Translator: Antoine Bertin <diaoulael@gmail.com>\n"
+"Language-Team: German (http://www.transifex.com/subliminal/subliminal/language/de/)\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Language: de\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+
+#: ui/config.glade.h:1
+msgid "Subtitles, faster than your thoughts."
+msgstr "Untertitel, schneller als Gedanken"
+
+#: ui/config.glade.h:2
+msgid "Name"
+msgstr "Name"
+
+#: ui/config.glade.h:3
+msgid "Code"
+msgstr "Code"
+
+#: ui/config.glade.h:4
+msgid "Languages"
+msgstr "Sprachen"
+
+#: ui/config.glade.h:5
+msgid "Configuration"
+msgstr "Konfiguration"
+
+#: ui/config.glade.h:6
+msgid "Providers"
+msgstr "Anbieter"
+
+#: ui/config.glade.h:7
+msgid "Do not use this unless your media player requires it"
+msgstr "Nicht benutzen, außer ihr Mediaplayer braucht dies"
+
+#: ui/config.glade.h:8
+msgid ""
+"Save subtitle without language code in the filename\n"
+"i.e. use .srt extension"
+msgstr "Untertitel ohne Sprachcode im Dateinamen speichern, also mit .srt Erweiterung "
+
+#: ui/config.glade.h:10
+msgid "Ignore videos with embedded subtitles"
+msgstr "Videos mit eingebetteten Untertiteln ignorieren"
+
+#: ui/config.glade.h:11
+msgid ""
+"Ignore videos older than this number of days\n"
+"when scanning folders"
+msgstr "Videos älter als diese Anzahl an Tagen ignorieren"
+
+#: ui/config.glade.h:13
+msgid "Prefer hearing impaired subtitles"
+msgstr "Untertitel für hörgeschädigte vorziehen"
+
+#: ui/config.glade.h:14
+msgid "Minimum matching score"
+msgstr "Minimale Bewertung"
+
+#: ui/config.glade.h:15
+msgid "General"
+msgstr "Allgemein"
+
+#: ui/config.glade.h:16
+msgid "About"
+msgstr "Über"
+
+#: ui/choose.glade.h:1
+msgid "Subliminal - Choose subtitles"
+msgstr "Subliminal - Untertitel auswählen"
+
+#: ui/choose.glade.h:2
+msgid "Video: "
+msgstr "Video:"
+
+#: ui/choose.glade.h:3
+msgid "Language"
+msgstr "Sprache"
+
+#: ui/choose.glade.h:4
+msgid "Score"
+msgstr "Bewertung"
+
+#: ui/choose.glade.h:5
+msgid "Provider"
+msgstr "Anbieter"
+
+#: ui/choose.glade.h:6
+msgid "Hearing Impaired"
+msgstr "Hörgeschädigt"
+
+#: ui/choose.glade.h:7
+msgid "Downloaded"
+msgstr "Runtergeladen"
+
+#: nautilus.py:141
+msgid "Choose subtitles"
+msgstr "Untertitel auswählen"
+
+#: nautilus.py:146
+msgid "Download subtitles"
+msgstr "Untertitel runterladen"
+
+#: nautilus.py:151
+msgid "Configure..."
+msgstr "Einstellen..."
diff --git a/examples/i18n/es.po b/examples/i18n/es.po
new file mode 100644
index 0000000..cdac812
--- /dev/null
+++ b/examples/i18n/es.po
@@ -0,0 +1,117 @@
+# Subliminal language file
+# 
+# Translators:
+# Kike Isidoro <heisba@gmail.com>, 2015
+msgid ""
+msgstr ""
+"Project-Id-Version: subliminal\n"
+"Report-Msgid-Bugs-To: diaoulael@gmail.com\n"
+"POT-Creation-Date: 2015-10-30 18:54+0100\n"
+"PO-Revision-Date: 2015-10-27 17:05+0000\n"
+"Last-Translator: Antoine Bertin <diaoulael@gmail.com>\n"
+"Language-Team: Spanish (http://www.transifex.com/subliminal/subliminal/language/es/)\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Language: es\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+
+#: ui/config.glade.h:1
+msgid "Subtitles, faster than your thoughts."
+msgstr "Subtítulos, más rápido de lo que piensas."
+
+#: ui/config.glade.h:2
+msgid "Name"
+msgstr "Nombre"
+
+#: ui/config.glade.h:3
+msgid "Code"
+msgstr "Código"
+
+#: ui/config.glade.h:4
+msgid "Languages"
+msgstr "Idiomas"
+
+#: ui/config.glade.h:5
+msgid "Configuration"
+msgstr "Configuración"
+
+#: ui/config.glade.h:6
+msgid "Providers"
+msgstr "Proveedores"
+
+#: ui/config.glade.h:7
+msgid "Do not use this unless your media player requires it"
+msgstr "Utilizar esto solamente si tu reproductor multimedia lo requiere"
+
+#: ui/config.glade.h:8
+msgid ""
+"Save subtitle without language code in the filename\n"
+"i.e. use .srt extension"
+msgstr "Guardar subtítulos sin código de idioma en el nombre del archivo\np.e. utilizar la extensión .srt"
+
+#: ui/config.glade.h:10
+msgid "Ignore videos with embedded subtitles"
+msgstr "Ignorar vídeos con subtítulos incrustados"
+
+#: ui/config.glade.h:11
+msgid ""
+"Ignore videos older than this number of days\n"
+"when scanning folders"
+msgstr "Ignorar vídeos con fecha de modificación superior a este número de días\ncuando se escaneen directorios"
+
+#: ui/config.glade.h:13
+msgid "Prefer hearing impaired subtitles"
+msgstr "Priorizar subtítulos para personas con discapacidad auditiva"
+
+#: ui/config.glade.h:14
+msgid "Minimum matching score"
+msgstr "Puntuación de resultados mínima"
+
+#: ui/config.glade.h:15
+msgid "General"
+msgstr "General"
+
+#: ui/config.glade.h:16
+msgid "About"
+msgstr "Sobre"
+
+#: ui/choose.glade.h:1
+msgid "Subliminal - Choose subtitles"
+msgstr "Subliminal - Elegir subtítulos"
+
+#: ui/choose.glade.h:2
+msgid "Video: "
+msgstr "Vídeo: "
+
+#: ui/choose.glade.h:3
+msgid "Language"
+msgstr "Idioma"
+
+#: ui/choose.glade.h:4
+msgid "Score"
+msgstr "Puntuación"
+
+#: ui/choose.glade.h:5
+msgid "Provider"
+msgstr "Proveedor"
+
+#: ui/choose.glade.h:6
+msgid "Hearing Impaired"
+msgstr "Personas con discapacidad auditiva"
+
+#: ui/choose.glade.h:7
+msgid "Downloaded"
+msgstr "Descargado"
+
+#: nautilus.py:141
+msgid "Choose subtitles"
+msgstr "Elegir subtítulos"
+
+#: nautilus.py:146
+msgid "Download subtitles"
+msgstr "Descargar subtítulos"
+
+#: nautilus.py:151
+msgid "Configure..."
+msgstr "Configurar..."
diff --git a/examples/i18n/fr.po b/examples/i18n/fr.po
new file mode 100644
index 0000000..9b3d4da
--- /dev/null
+++ b/examples/i18n/fr.po
@@ -0,0 +1,117 @@
+# Subliminal language file
+# 
+# Translators:
+# Antoine Bertin <diaoulael@gmail.com>, 2015
+msgid ""
+msgstr ""
+"Project-Id-Version: subliminal\n"
+"Report-Msgid-Bugs-To: diaoulael@gmail.com\n"
+"POT-Creation-Date: 2015-10-30 18:54+0100\n"
+"PO-Revision-Date: 2015-08-27 14:44+0000\n"
+"Last-Translator: Antoine Bertin <diaoulael@gmail.com>\n"
+"Language-Team: French (http://www.transifex.com/subliminal/subliminal/language/fr/)\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Language: fr\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
+
+#: ui/config.glade.h:1
+msgid "Subtitles, faster than your thoughts."
+msgstr "Des sous-titres, sans y penser."
+
+#: ui/config.glade.h:2
+msgid "Name"
+msgstr "Nom"
+
+#: ui/config.glade.h:3
+msgid "Code"
+msgstr "Code"
+
+#: ui/config.glade.h:4
+msgid "Languages"
+msgstr "Langues"
+
+#: ui/config.glade.h:5
+msgid "Configuration"
+msgstr "Configuration"
+
+#: ui/config.glade.h:6
+msgid "Providers"
+msgstr "Fournisseurs"
+
+#: ui/config.glade.h:7
+msgid "Do not use this unless your media player requires it"
+msgstr "Ne pas utiliser à moins que le lecteur multimédia ne le requiert"
+
+#: ui/config.glade.h:8
+msgid ""
+"Save subtitle without language code in the filename\n"
+"i.e. use .srt extension"
+msgstr "Sauvegarder les sous-titres sans code de langue dans\nle nom du fichier, c.-a-d. utiliser .srt comme extension"
+
+#: ui/config.glade.h:10
+msgid "Ignore videos with embedded subtitles"
+msgstr "Ignorer les vidéos avec des sous-titres intégrés"
+
+#: ui/config.glade.h:11
+msgid ""
+"Ignore videos older than this number of days\n"
+"when scanning folders"
+msgstr "Ignorer les vidéos plus vieilles que ce nombre\nde jours lors du scan de dossiers"
+
+#: ui/config.glade.h:13
+msgid "Prefer hearing impaired subtitles"
+msgstr "Préférer les sous-titres pour malentendants"
+
+#: ui/config.glade.h:14
+msgid "Minimum matching score"
+msgstr "Score de correspondance minimum"
+
+#: ui/config.glade.h:15
+msgid "General"
+msgstr "Général"
+
+#: ui/config.glade.h:16
+msgid "About"
+msgstr "À propos"
+
+#: ui/choose.glade.h:1
+msgid "Subliminal - Choose subtitles"
+msgstr "Subliminal - Choisir les sous-titres"
+
+#: ui/choose.glade.h:2
+msgid "Video: "
+msgstr "Vidéo: "
+
+#: ui/choose.glade.h:3
+msgid "Language"
+msgstr "Langue"
+
+#: ui/choose.glade.h:4
+msgid "Score"
+msgstr "Score"
+
+#: ui/choose.glade.h:5
+msgid "Provider"
+msgstr "Fournisseur"
+
+#: ui/choose.glade.h:6
+msgid "Hearing Impaired"
+msgstr "Malentendant"
+
+#: ui/choose.glade.h:7
+msgid "Downloaded"
+msgstr "Téléchargé"
+
+#: nautilus.py:141
+msgid "Choose subtitles"
+msgstr "Choisir les sous-titres"
+
+#: nautilus.py:146
+msgid "Download subtitles"
+msgstr "Télécharger les sous-titres"
+
+#: nautilus.py:151
+msgid "Configure..."
+msgstr "Configurer..."
diff --git a/examples/i18n/it.po b/examples/i18n/it.po
new file mode 100644
index 0000000..6c21149
--- /dev/null
+++ b/examples/i18n/it.po
@@ -0,0 +1,117 @@
+# Subliminal language file
+# 
+# Translators:
+# Stefano Vetrini <stvnove@gmail.com>, 2015
+msgid ""
+msgstr ""
+"Project-Id-Version: subliminal\n"
+"Report-Msgid-Bugs-To: diaoulael@gmail.com\n"
+"POT-Creation-Date: 2015-10-30 18:54+0100\n"
+"PO-Revision-Date: 2015-09-09 18:28+0000\n"
+"Last-Translator: Antoine Bertin <diaoulael@gmail.com>\n"
+"Language-Team: Italian (http://www.transifex.com/subliminal/subliminal/language/it/)\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Language: it\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+
+#: ui/config.glade.h:1
+msgid "Subtitles, faster than your thoughts."
+msgstr "Sottotitola, più veloce della luce."
+
+#: ui/config.glade.h:2
+msgid "Name"
+msgstr "Nome"
+
+#: ui/config.glade.h:3
+msgid "Code"
+msgstr "Codice"
+
+#: ui/config.glade.h:4
+msgid "Languages"
+msgstr "Lingue"
+
+#: ui/config.glade.h:5
+msgid "Configuration"
+msgstr "Configurazione"
+
+#: ui/config.glade.h:6
+msgid "Providers"
+msgstr "Fornitori"
+
+#: ui/config.glade.h:7
+msgid "Do not use this unless your media player requires it"
+msgstr "Non usare a meno che il tuo player video lo richieda"
+
+#: ui/config.glade.h:8
+msgid ""
+"Save subtitle without language code in the filename\n"
+"i.e. use .srt extension"
+msgstr "Salva il sottotitolo senza il codice del linguaggio nel nome del file\nes. solo estensione .srt"
+
+#: ui/config.glade.h:10
+msgid "Ignore videos with embedded subtitles"
+msgstr "Ignora i video con sottotitoli incorporati"
+
+#: ui/config.glade.h:11
+msgid ""
+"Ignore videos older than this number of days\n"
+"when scanning folders"
+msgstr "Ignora i video più vecchi di questo numero di giorni\nquando ricerchi nelle cartelle"
+
+#: ui/config.glade.h:13
+msgid "Prefer hearing impaired subtitles"
+msgstr "Preferisci i sottotitoli per non udenti"
+
+#: ui/config.glade.h:14
+msgid "Minimum matching score"
+msgstr "Valore minimo per il punteggio dell'abbinamento"
+
+#: ui/config.glade.h:15
+msgid "General"
+msgstr "Generale"
+
+#: ui/config.glade.h:16
+msgid "About"
+msgstr "Informazioni"
+
+#: ui/choose.glade.h:1
+msgid "Subliminal - Choose subtitles"
+msgstr "Subliminal - Scegli i sottotitoli"
+
+#: ui/choose.glade.h:2
+msgid "Video: "
+msgstr "Video: "
+
+#: ui/choose.glade.h:3
+msgid "Language"
+msgstr "Lingua"
+
+#: ui/choose.glade.h:4
+msgid "Score"
+msgstr "Punteggio"
+
+#: ui/choose.glade.h:5
+msgid "Provider"
+msgstr "Fornitore"
+
+#: ui/choose.glade.h:6
+msgid "Hearing Impaired"
+msgstr "Non Udenti"
+
+#: ui/choose.glade.h:7
+msgid "Downloaded"
+msgstr "Scaricati"
+
+#: nautilus.py:141
+msgid "Choose subtitles"
+msgstr "Scegli i sottotitoli"
+
+#: nautilus.py:146
+msgid "Download subtitles"
+msgstr "Scarica i sottotitoli"
+
+#: nautilus.py:151
+msgid "Configure..."
+msgstr "Configura..."
diff --git a/examples/i18n/pt.po b/examples/i18n/pt.po
new file mode 100644
index 0000000..c0dae0d
--- /dev/null
+++ b/examples/i18n/pt.po
@@ -0,0 +1,117 @@
+# Subliminal language file
+# 
+# Translators:
+# João Silva <asmodeo.pt@gmail.com>, 2015
+msgid ""
+msgstr ""
+"Project-Id-Version: subliminal\n"
+"Report-Msgid-Bugs-To: diaoulael@gmail.com\n"
+"POT-Creation-Date: 2015-10-30 18:54+0100\n"
+"PO-Revision-Date: 2015-10-25 18:47+0000\n"
+"Last-Translator: João Silva <asmodeo.pt@gmail.com>\n"
+"Language-Team: Portuguese (http://www.transifex.com/subliminal/subliminal/language/pt/)\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Language: pt\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+
+#: ui/config.glade.h:1
+msgid "Subtitles, faster than your thoughts."
+msgstr "Legendas, mais rápido do que os seus pensamentos."
+
+#: ui/config.glade.h:2
+msgid "Name"
+msgstr "Nome"
+
+#: ui/config.glade.h:3
+msgid "Code"
+msgstr "Código"
+
+#: ui/config.glade.h:4
+msgid "Languages"
+msgstr "Idiomas"
+
+#: ui/config.glade.h:5
+msgid "Configuration"
+msgstr "Configuração"
+
+#: ui/config.glade.h:6
+msgid "Providers"
+msgstr "Fornecedores"
+
+#: ui/config.glade.h:7
+msgid "Do not use this unless your media player requires it"
+msgstr "Não use isto a menos que o seu leitor multimédia o exija"
+
+#: ui/config.glade.h:8
+msgid ""
+"Save subtitle without language code in the filename\n"
+"i.e. use .srt extension"
+msgstr "Gravar legenda sem código de idioma no nome de ficheiro\nou seja, usar extensão .srt"
+
+#: ui/config.glade.h:10
+msgid "Ignore videos with embedded subtitles"
+msgstr "Ignorar vídeos com legendas embutidas"
+
+#: ui/config.glade.h:11
+msgid ""
+"Ignore videos older than this number of days\n"
+"when scanning folders"
+msgstr "Ignorar vídeos com mais do que este número de dias\nquando a verificar pastas"
+
+#: ui/config.glade.h:13
+msgid "Prefer hearing impaired subtitles"
+msgstr "Preferir legendas para deficientes auditivos"
+
+#: ui/config.glade.h:14
+msgid "Minimum matching score"
+msgstr "Pontuação mínima correspondente"
+
+#: ui/config.glade.h:15
+msgid "General"
+msgstr "Geral"
+
+#: ui/config.glade.h:16
+msgid "About"
+msgstr "Acerca"
+
+#: ui/choose.glade.h:1
+msgid "Subliminal - Choose subtitles"
+msgstr "Subliminal - Escolher legendas"
+
+#: ui/choose.glade.h:2
+msgid "Video: "
+msgstr "Vídeo:"
+
+#: ui/choose.glade.h:3
+msgid "Language"
+msgstr "Idioma"
+
+#: ui/choose.glade.h:4
+msgid "Score"
+msgstr "Pontuação"
+
+#: ui/choose.glade.h:5
+msgid "Provider"
+msgstr "Fornecedor"
+
+#: ui/choose.glade.h:6
+msgid "Hearing Impaired"
+msgstr "Deficientes Auditivos"
+
+#: ui/choose.glade.h:7
+msgid "Downloaded"
+msgstr "Transferida"
+
+#: nautilus.py:141
+msgid "Choose subtitles"
+msgstr "Escolher legendas"
+
+#: nautilus.py:146
+msgid "Download subtitles"
+msgstr "Transferir legendas"
+
+#: nautilus.py:151
+msgid "Configure..."
+msgstr "Configurar..."
diff --git a/examples/i18n/pt_BR.po b/examples/i18n/pt_BR.po
new file mode 100644
index 0000000..7e5bc92
--- /dev/null
+++ b/examples/i18n/pt_BR.po
@@ -0,0 +1,116 @@
+# Subliminal language file
+# 
+# Translators:
+msgid ""
+msgstr ""
+"Project-Id-Version: subliminal\n"
+"Report-Msgid-Bugs-To: diaoulael@gmail.com\n"
+"POT-Creation-Date: 2015-10-30 18:54+0100\n"
+"PO-Revision-Date: 2015-10-27 17:05+0000\n"
+"Last-Translator: Antoine Bertin <diaoulael@gmail.com>\n"
+"Language-Team: Portuguese (Brazil) (http://www.transifex.com/subliminal/subliminal/language/pt_BR/)\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Language: pt_BR\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
+
+#: ui/config.glade.h:1
+msgid "Subtitles, faster than your thoughts."
+msgstr "Legendas, mais rápido do que você imagina."
+
+#: ui/config.glade.h:2
+msgid "Name"
+msgstr "Nome"
+
+#: ui/config.glade.h:3
+msgid "Code"
+msgstr "Código"
+
+#: ui/config.glade.h:4
+msgid "Languages"
+msgstr "Idiomas"
+
+#: ui/config.glade.h:5
+msgid "Configuration"
+msgstr "Configuração"
+
+#: ui/config.glade.h:6
+msgid "Providers"
+msgstr "Fornecedores"
+
+#: ui/config.glade.h:7
+msgid "Do not use this unless your media player requires it"
+msgstr "Usar isto somente se o seu media player precisar"
+
+#: ui/config.glade.h:8
+msgid ""
+"Save subtitle without language code in the filename\n"
+"i.e. use .srt extension"
+msgstr "Salvar legenda sem código de idioma no nome do arquivo\np.e. usar extensão .srt"
+
+#: ui/config.glade.h:10
+msgid "Ignore videos with embedded subtitles"
+msgstr "Ignorar vídeos com legendas gravadas"
+
+#: ui/config.glade.h:11
+msgid ""
+"Ignore videos older than this number of days\n"
+"when scanning folders"
+msgstr "Ignorar vídeos mais antigos que este número de días\nquando se escaneiem pastas"
+
+#: ui/config.glade.h:13
+msgid "Prefer hearing impaired subtitles"
+msgstr "Priorizar legendas para pessoas com deficiência auditiva"
+
+#: ui/config.glade.h:14
+msgid "Minimum matching score"
+msgstr "Nota mínima de resultados"
+
+#: ui/config.glade.h:15
+msgid "General"
+msgstr "Geral"
+
+#: ui/config.glade.h:16
+msgid "About"
+msgstr "Acerca"
+
+#: ui/choose.glade.h:1
+msgid "Subliminal - Choose subtitles"
+msgstr "Subliminal - Escolher legendas"
+
+#: ui/choose.glade.h:2
+msgid "Video: "
+msgstr "Vídeo: "
+
+#: ui/choose.glade.h:3
+msgid "Language"
+msgstr "Idioma"
+
+#: ui/choose.glade.h:4
+msgid "Score"
+msgstr "Nota"
+
+#: ui/choose.glade.h:5
+msgid "Provider"
+msgstr "Fornecedor"
+
+#: ui/choose.glade.h:6
+msgid "Hearing Impaired"
+msgstr "Pessoas com deficiência auditiva"
+
+#: ui/choose.glade.h:7
+msgid "Downloaded"
+msgstr "Baixado"
+
+#: nautilus.py:141
+msgid "Choose subtitles"
+msgstr "Escolher legendas"
+
+#: nautilus.py:146
+msgid "Download subtitles"
+msgstr "Baixar legendas"
+
+#: nautilus.py:151
+msgid "Configure..."
+msgstr "Configurar..."
diff --git a/examples/i18n/ru.po b/examples/i18n/ru.po
new file mode 100644
index 0000000..012793a
--- /dev/null
+++ b/examples/i18n/ru.po
@@ -0,0 +1,117 @@
+# Subliminal language file
+# 
+# Translators:
+# Andrej Ebert <mask@mask.ms>, 2015
+msgid ""
+msgstr ""
+"Project-Id-Version: subliminal\n"
+"Report-Msgid-Bugs-To: diaoulael@gmail.com\n"
+"POT-Creation-Date: 2015-10-30 18:54+0100\n"
+"PO-Revision-Date: 2015-09-09 18:28+0000\n"
+"Last-Translator: Antoine Bertin <diaoulael@gmail.com>\n"
+"Language-Team: Russian (http://www.transifex.com/subliminal/subliminal/language/ru/)\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Language: ru\n"
+"Plural-Forms: nplurals=4; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%10<=4 && (n%100<12 || n%100>14) ? 1 : n%10==0 || (n%10>=5 && n%10<=9) || (n%100>=11 && n%100<=14)? 2 : 3);\n"
+
+#: ui/config.glade.h:1
+msgid "Subtitles, faster than your thoughts."
+msgstr "Субтитры - быстрее мысли"
+
+#: ui/config.glade.h:2
+msgid "Name"
+msgstr "Имя"
+
+#: ui/config.glade.h:3
+msgid "Code"
+msgstr "Код"
+
+#: ui/config.glade.h:4
+msgid "Languages"
+msgstr "Языки"
+
+#: ui/config.glade.h:5
+msgid "Configuration"
+msgstr "Настройки"
+
+#: ui/config.glade.h:6
+msgid "Providers"
+msgstr "Провайдеры(сайты)"
+
+#: ui/config.glade.h:7
+msgid "Do not use this unless your media player requires it"
+msgstr "Не нужно, если ваш медиаплеер не требует этого"
+
+#: ui/config.glade.h:8
+msgid ""
+"Save subtitle without language code in the filename\n"
+"i.e. use .srt extension"
+msgstr "Сохранять субтитры без кода языка в имени файла, т.е. просто .srt"
+
+#: ui/config.glade.h:10
+msgid "Ignore videos with embedded subtitles"
+msgstr "Игнорировать видеофайлы со вшитыми субтитрами"
+
+#: ui/config.glade.h:11
+msgid ""
+"Ignore videos older than this number of days\n"
+"when scanning folders"
+msgstr "Игнорировать видеофайлы старше этого количества дней"
+
+#: ui/config.glade.h:13
+msgid "Prefer hearing impaired subtitles"
+msgstr "Предпочитать субтитры для слабослышащих/глухонемых"
+
+#: ui/config.glade.h:14
+msgid "Minimum matching score"
+msgstr "Минимальный рейтинг"
+
+#: ui/config.glade.h:15
+msgid "General"
+msgstr "Общее"
+
+#: ui/config.glade.h:16
+msgid "About"
+msgstr "О программе"
+
+#: ui/choose.glade.h:1
+msgid "Subliminal - Choose subtitles"
+msgstr "Subliminal - выбор субтитров"
+
+#: ui/choose.glade.h:2
+msgid "Video: "
+msgstr "Видео:"
+
+#: ui/choose.glade.h:3
+msgid "Language"
+msgstr "Язык"
+
+#: ui/choose.glade.h:4
+msgid "Score"
+msgstr "Рейтинг"
+
+#: ui/choose.glade.h:5
+msgid "Provider"
+msgstr "Провайдер(сайт)"
+
+#: ui/choose.glade.h:6
+msgid "Hearing Impaired"
+msgstr "Для сабослышащих/глухонемых"
+
+#: ui/choose.glade.h:7
+msgid "Downloaded"
+msgstr "Скачано"
+
+#: nautilus.py:141
+msgid "Choose subtitles"
+msgstr "Выбор субтитров"
+
+#: nautilus.py:146
+msgid "Download subtitles"
+msgstr "Скачать субтитры"
+
+#: nautilus.py:151
+msgid "Configure..."
+msgstr "Настроить..."
diff --git a/examples/i18n/tr.po b/examples/i18n/tr.po
new file mode 100644
index 0000000..c607b9c
--- /dev/null
+++ b/examples/i18n/tr.po
@@ -0,0 +1,117 @@
+# Subliminal language file
+# 
+# Translators:
+# Özgür BASKIN, 2015
+msgid ""
+msgstr ""
+"Project-Id-Version: subliminal\n"
+"Report-Msgid-Bugs-To: diaoulael@gmail.com\n"
+"POT-Creation-Date: 2015-10-30 18:54+0100\n"
+"PO-Revision-Date: 2015-08-28 12:30+0000\n"
+"Last-Translator: Özgür BASKIN\n"
+"Language-Team: Turkish (http://www.transifex.com/subliminal/subliminal/language/tr/)\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Language: tr\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
+
+#: ui/config.glade.h:1
+msgid "Subtitles, faster than your thoughts."
+msgstr "Altyazı, düşüncelerinizden daha hızlı."
+
+#: ui/config.glade.h:2
+msgid "Name"
+msgstr "Ad"
+
+#: ui/config.glade.h:3
+msgid "Code"
+msgstr "Kod"
+
+#: ui/config.glade.h:4
+msgid "Languages"
+msgstr "Dil"
+
+#: ui/config.glade.h:5
+msgid "Configuration"
+msgstr "Yapılandırma"
+
+#: ui/config.glade.h:6
+msgid "Providers"
+msgstr "Sağlayıcılar"
+
+#: ui/config.glade.h:7
+msgid "Do not use this unless your media player requires it"
+msgstr "Medya oynatıcınız için gerekli olmadığı sürece bunu kullanmayın"
+
+#: ui/config.glade.h:8
+msgid ""
+"Save subtitle without language code in the filename\n"
+"i.e. use .srt extension"
+msgstr "Altyazıları dosya adına dil kodunu eklemeden kaydet\nyani .srt eklentisini kullan"
+
+#: ui/config.glade.h:10
+msgid "Ignore videos with embedded subtitles"
+msgstr "Gömülü altyazıları olan videoları yoksay"
+
+#: ui/config.glade.h:11
+msgid ""
+"Ignore videos older than this number of days\n"
+"when scanning folders"
+msgstr "Klasörleri tararken bu gün sayısından daha eski\nvideoları yoksay"
+
+#: ui/config.glade.h:13
+msgid "Prefer hearing impaired subtitles"
+msgstr "İşitme engelli altyazılarını tercih et"
+
+#: ui/config.glade.h:14
+msgid "Minimum matching score"
+msgstr "En düşük eşleşme puanı"
+
+#: ui/config.glade.h:15
+msgid "General"
+msgstr "Genel"
+
+#: ui/config.glade.h:16
+msgid "About"
+msgstr "Hakkında"
+
+#: ui/choose.glade.h:1
+msgid "Subliminal - Choose subtitles"
+msgstr "Subliminal - Altyazı seç"
+
+#: ui/choose.glade.h:2
+msgid "Video: "
+msgstr "Video: "
+
+#: ui/choose.glade.h:3
+msgid "Language"
+msgstr "Dil"
+
+#: ui/choose.glade.h:4
+msgid "Score"
+msgstr "Puan"
+
+#: ui/choose.glade.h:5
+msgid "Provider"
+msgstr "Sağlayıcı"
+
+#: ui/choose.glade.h:6
+msgid "Hearing Impaired"
+msgstr "İşitme Engelliler"
+
+#: ui/choose.glade.h:7
+msgid "Downloaded"
+msgstr "İndirildi"
+
+#: nautilus.py:141
+msgid "Choose subtitles"
+msgstr "Altyazıyı seç"
+
+#: nautilus.py:146
+msgid "Download subtitles"
+msgstr "Altyazıyı indir"
+
+#: nautilus.py:151
+msgid "Configure..."
+msgstr "Yapılandır..."
diff --git a/examples/nautilus.py b/examples/nautilus.py
new file mode 100755
index 0000000..d8e19bf
--- /dev/null
+++ b/examples/nautilus.py
@@ -0,0 +1,374 @@
+# -*- coding: utf-8 -*-
+from __future__ import division
+from collections import defaultdict
+from datetime import timedelta
+import locale
+from locale import gettext as _
+import os
+import threading
+
+from babelfish import Language
+from gi.repository import GObject, Gtk, Nautilus
+from subliminal import (VIDEO_EXTENSIONS, AsyncProviderPool, __copyright__, __version__, check_video, compute_score,
+                        get_scores, provider_manager, refine, refiner_manager, region, save_subtitles, scan_video,
+                        scan_videos)
+from subliminal.cli import Config, MutexLock, cache_file, config_file, dirs
+from subliminal.core import search_external_subtitles
+
+locale.bindtextdomain('subliminal', os.path.join(os.path.dirname(__file__), 'subliminal', 'locale'))
+locale.textdomain('subliminal')
+
+ignored_languages = {Language(l) for l in (
+    'ang', 'arc', 'dsb', 'dum', 'enm', 'frm', 'fro', 'gmh', 'goh', 'grc', 'ina', 'mga', 'mis', 'nds', 'non', 'ota',
+    'peo', 'pro', 'sga', 'und'
+)}
+
+
+class ChooseHandler(object):
+    """Signal handler for the choose window.
+
+    This class will download the selected subtitle on row-activated signal.
+
+    :param config: a configuration object.
+    :type config: :class:`~subliminal.cli.Config`
+    :param video: the video.
+    :type video: :class:`~subliminal.video.Video`
+    :param subtitles: the available of subtitles.
+    :type subtitles: list of :class:`~subliminal.subtitle.Subtitle`
+    :param spinner: the spinner to show during download.
+    :type spinner: :class:`GtkSpinner`
+
+    """
+    def __init__(self, config, video, subtitles, spinner):
+        self.config = config
+        self.video = video
+        self.subtitles = {s.provider_name + '-' + s.id: s for s in subtitles}
+        self.spinner = spinner
+
+    def on_subtitles_treeview_row_activated(self, treeview, path, view_column):
+        model = treeview.get_model()
+        iter = model.get_iter(path)
+
+        # return if already downloaded
+        if model.get_value(iter, 6):
+            return
+
+        # get the subtitle object
+        subtitle = self.subtitles[model.get_value(iter, 3).lower() + '-' + model.get_value(iter, 0)]
+
+        # start the spinner
+        self.spinner.start()
+
+        def _download_subtitle():
+            # download the subtitle
+            with AsyncProviderPool(providers=self.config.providers,
+                                   provider_configs=self.config.provider_configs) as pool:
+                pool.download_subtitle(subtitle)
+
+            # save the subtitle
+            save_subtitles(self.video, [subtitle], single=self.config.single)
+
+            # mark the subtitle as downloaded
+            model.set_value(iter, 6, True)
+
+            # stop the spinner
+            self.spinner.stop()
+
+        threading.Thread(target=_download_subtitle).start()
+
+    def on_subtitles_scrolledwindow_delete_event(self, *args):
+        Gtk.main_quit(*args)
+
+
+class ConfigHandler(object):
+    """Signal handler for the configuration window.
+
+    This class converts the values from the window and forward them to the configuration object. When the window is
+    closed, the configuration is written.
+
+    :param config: a configuration object.
+    :type config: :class:`~subliminal.cli.Config`
+
+    """
+    def __init__(self, config):
+        self.config = config
+
+    def on_languages_treeview_selection_changed(self, selection):
+        model, paths = selection.get_selected_rows()
+        languages = {Language.fromietf(model.get_value(model.get_iter(p), 1)) for p in paths}
+        if languages:
+            self.config.languages = languages
+
+    def on_providers_treeview_selection_changed(self, selection):
+        model, paths = selection.get_selected_rows()
+        providers = [model.get_value(model.get_iter(p), 0).lower() for p in paths]
+        if providers:
+            self.config.providers = providers
+
+    def on_refiners_treeview_selection_changed(self, selection):
+        model, paths = selection.get_selected_rows()
+        refiners = [model.get_value(model.get_iter(r), 0).lower() for r in paths]
+        self.config.refiners = refiners
+
+    def on_single_switch_active_notify(self, switch, gparam):
+        self.config.single = switch.get_active()
+
+    def on_embedded_subtitles_switch_active_notify(self, switch, gparam):
+        self.config.embedded_subtitles = switch.get_active()
+
+    def on_age_spinbutton_value_changed(self, spin_button):
+        self.config.age = timedelta(days=spin_button.get_value())
+
+    def on_hearing_impaired_switch_active_notify(self, switch, gparam):
+        self.config.hearing_impaired = switch.get_active()
+
+    def on_min_score_spinbutton_value_changed(self, spin_button):
+        self.config.min_score = spin_button.get_value()
+
+    def on_config_window_delete_event(self, *args):
+        self.config.write()
+        Gtk.main_quit(*args)
+
+
+class SubliminalExtension(GObject.GObject, Nautilus.MenuProvider):
+    def __init__(self):
+        # create app directory
+        try:
+            if not os.path.exists(dirs.user_cache_dir):
+                os.makedirs(dirs.user_cache_dir)
+            if not os.path.exists(dirs.user_config_dir):
+                os.makedirs(dirs.user_config_dir)
+        except OSError:
+            if not os.path.isdir(dirs.user_cache_dir) or not os.path.isdir(dirs.user_config_dir):
+                raise
+
+        # open config file
+        self.config = Config(os.path.join(dirs.user_config_dir, config_file))
+        self.config.read()
+
+        # configure cache
+        region.configure('dogpile.cache.dbm', expiration_time=timedelta(days=30),
+                         arguments={'filename': os.path.join(dirs.user_cache_dir, cache_file),
+                                    'lock_factory': MutexLock})
+
+    def get_file_items(self, window, files):
+        # lightweight filter on file type and extension
+        if not any(f.is_directory() or f.get_name().endswith(VIDEO_EXTENSIONS) for f in files):
+            return
+
+        # create subliminal menu
+        subliminal_menuitem = Nautilus.MenuItem(name='SubliminalMenu::Subliminal', label='Subliminal')
+        sub_menus = Nautilus.Menu()
+        subliminal_menuitem.set_submenu(sub_menus)
+
+        # create choose submenu on single file
+        if len(files) == 1 and not files[0].is_directory():
+            choose_menuitem = Nautilus.MenuItem(name='SubliminalSubMenu::Choose', label=_('Choose subtitles'))
+            choose_menuitem.connect('activate', self.choose_callback, files)
+            sub_menus.append_item(choose_menuitem)
+
+        # create download submenu
+        download_menuitem = Nautilus.MenuItem(name='SubliminalSubMenu::Download', label=_('Download subtitles'))
+        download_menuitem.connect('activate', self.download_callback, files)
+        sub_menus.append_item(download_menuitem)
+
+        # create configure submenu
+        configure_menuitem = Nautilus.MenuItem(name='SubliminalSubMenu::Configure', label=_('Configure...'))
+        configure_menuitem.connect('activate', self.config_callback)
+        sub_menus.append_item(configure_menuitem)
+
+        return subliminal_menuitem,
+
+    def get_background_items(self, window, current_folder):
+        return []
+
+    def choose_callback(self, menuitem, files):
+        # scan the video
+        video = scan_video(files[0].get_location().get_path())
+        refine(video, episode_refiners=self.config.refiners, movie_refiners=self.config.refiners,
+               embedded_subtitles=False)
+
+        # load the interface
+        builder = Gtk.Builder()
+        builder.set_translation_domain('subliminal')
+        builder.add_from_file(os.path.join(os.path.dirname(__file__), 'subliminal', 'ui', 'choose.glade'))
+
+        # set the video filename
+        video_filename = builder.get_object('video_filename_label')
+        video_filename.set_text(files[0].get_name())
+
+        # start the spinner
+        spinner = builder.get_object('spinner')
+        spinner.start()
+
+        def _list_subtitles():
+            # list subtitles
+            with AsyncProviderPool(providers=self.config.providers,
+                                   provider_configs=self.config.provider_configs) as pool:
+                subtitles = pool.list_subtitles(video, self.config.languages)
+
+            # fill the subtitle liststore
+            subtitle_liststore = builder.get_object('subtitle_liststore')
+            for s in subtitles:
+                scaled_score = compute_score(s, video)
+                scores = get_scores(video)
+                if s.hearing_impaired == self.config.hearing_impaired:
+                    scaled_score -= scores['hearing_impaired']
+                scaled_score *= 100 / scores['hash']
+                subtitle_liststore.append([s.id, nice_language(s.language), scaled_score, s.provider_name.capitalize(),
+                                           s.hearing_impaired, s.page_link, False])
+            subtitle_liststore.set_sort_column_id(2, Gtk.SortType.DESCENDING)
+
+            # stop the spinner
+            spinner.stop()
+
+            # connect signals
+            builder.connect_signals(ChooseHandler(self.config, video, subtitles, spinner))
+
+        threading.Thread(target=_list_subtitles).start()
+
+        # display window
+        window = builder.get_object('subtitle_window')
+        window.show_all()
+        Gtk.main()
+
+    def download_callback(self, menuitem, files):
+        # scan videos
+        videos = []
+        for f in files:
+            # ignore non-writable locations
+            if not f.can_write():
+                continue
+
+            # directories
+            if f.is_directory():
+                try:
+                    scanned_videos = scan_videos(f.get_location().get_path())
+                except:
+                    continue
+                for video in scanned_videos:
+                    if check_video(video, languages=self.config.languages, age=self.config.age,
+                                   undefined=self.config.single):
+                        video.subtitle_languages |= set(search_external_subtitles(video.name).values())
+                        refine(video, episode_refiners=self.config.refiners, movie_refiners=self.config.refiners,
+                               embedded_subtitles=self.config.embedded_subtitles)
+                        videos.append(video)
+                continue
+
+            # other inputs
+            try:
+                video = scan_video(f.get_location().get_path())
+            except:
+                continue
+            if check_video(video, languages=self.config.languages, undefined=self.config.single):
+                video.subtitle_languages |= set(search_external_subtitles(video.name).values())
+                refine(video, episode_refiners=self.config.refiners, movie_refiners=self.config.refiners,
+                       embedded_subtitles=self.config.embedded_subtitles)
+                videos.append(video)
+
+        # download best subtitles
+        downloaded_subtitles = defaultdict(list)
+        with AsyncProviderPool(providers=self.config.providers, provider_configs=self.config.provider_configs) as pool:
+            for v in videos:
+                scores = get_scores(v)
+                subtitles = pool.download_best_subtitles(
+                    pool.list_subtitles(v, self.config.languages - v.subtitle_languages),
+                    v, self.config.languages, min_score=scores['hash'] * self.config.min_score / 100,
+                    hearing_impaired=self.config.hearing_impaired, only_one=self.config.single
+                )
+                downloaded_subtitles[v] = subtitles
+
+        # save subtitles
+        for v, subtitles in downloaded_subtitles.items():
+            save_subtitles(v, subtitles, single=self.config.single)
+
+    def config_callback(self, *args, **kwargs):
+        # load the interface
+        builder = Gtk.Builder()
+        builder.set_translation_domain('subliminal')
+        builder.add_from_file(os.path.join(os.path.dirname(__file__), 'subliminal', 'ui', 'config.glade'))
+
+        # configure the about page
+        aboutdialog = builder.get_object('aboutdialog')
+        aboutdialog.set_version(__version__)
+        aboutdialog.set_copyright(__copyright__)
+        aboutdialog.vbox.reparent(builder.get_object('about_box'))
+
+        # fill the language liststore
+        available_languages = set()
+        for provider in provider_manager:
+            available_languages |= provider.plugin.languages
+        language_liststore = builder.get_object('language_liststore')
+        for language in sorted(available_languages - ignored_languages, key=nice_language):
+            language_liststore.append([nice_language(language), str(language)])
+
+        # set language selection
+        language_treeselection = builder.get_object('language_treeselection')
+        for language in language_liststore:
+            if Language.fromietf(language[1]) in self.config.languages:
+                language_treeselection.select_path(language.path)
+
+        # fill the provider liststore
+        provider_liststore = builder.get_object('provider_liststore')
+        for provider in sorted([p.name for p in provider_manager]):
+            provider_liststore.append([provider.capitalize(), str(self.config.provider_configs.get(provider, ''))])
+
+        # set provider selection
+        provider_treeselection = builder.get_object('provider_treeselection')
+        for provider in provider_liststore:
+            if provider[0].lower() in self.config.providers:
+                provider_treeselection.select_iter(provider.iter)
+
+        # fill the refiner liststore
+        refiner_liststore = builder.get_object('refiner_liststore')
+        for refiner in sorted([r.name for r in refiner_manager], key=lambda r: (r not in self.config.refiners, r)):
+            refiner_liststore.append([refiner.capitalize()])
+
+        # set refiner selection
+        refiner_treeselection = builder.get_object('refiner_treeselection')
+        for refiner in refiner_liststore:
+            if refiner[0].lower() in self.config.refiners:
+                refiner_treeselection.select_iter(refiner.iter)
+
+        # set single state
+        single_switch = builder.get_object('single_switch')
+        single_switch.set_active(self.config.single)
+
+        # set embedded subtitles state
+        embedded_subtitles_switch = builder.get_object('embedded_subtitles_switch')
+        embedded_subtitles_switch.set_active(self.config.embedded_subtitles)
+
+        # set age value
+        age_spinbutton = builder.get_object('age_spinbutton')
+        age_spinbutton.set_value(self.config.age.days)
+
+        # set hearing impaired state
+        hearing_impaired_switch = builder.get_object('hearing_impaired_switch')
+        hearing_impaired_switch.set_active(self.config.hearing_impaired)
+
+        # set min score value
+        min_score_spinbutton = builder.get_object('min_score_spinbutton')
+        min_score_spinbutton.set_value(self.config.min_score)
+
+        # connect signals
+        builder.connect_signals(ConfigHandler(self.config))
+
+        # display window
+        window = builder.get_object('config_window')
+        window.show_all()
+        Gtk.main()
+
+
+def nice_language(language):
+    """Format a :class:`~babelfish.Language` in a nice string with country name if any.
+
+    :param language: the language.
+    :type language: :class:`~babelfish.Language`
+    :return: a nice representation of the language.
+    :rtype: str
+
+    """
+    if language.country is not None:
+        return '{name} ({country})'.format(name=language.name, country=language.country.name.capitalize())
+    return language.name
+
diff --git a/examples/ui/choose.glade b/examples/ui/choose.glade
new file mode 100644
index 0000000..cba3f31
--- /dev/null
+++ b/examples/ui/choose.glade
@@ -0,0 +1,193 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- Generated with glade 3.18.3 
+
+The MIT License (MIT)
+
+Copyright (c) 2015 Antoine Bertin
+
+Permission is hereby granted, free of charge, to any person obtaining a copy
+of this software and associated documentation files (the "Software"), to deal
+in the Software without restriction, including without limitation the rights
+to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+copies of the Software, and to permit persons to whom the Software is
+furnished to do so, subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included in
+all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+THE SOFTWARE.
+
+Author: Antoine Bertin
+
+-->
+<interface domain="subliminal">
+  <requires lib="gtk+" version="3.12"/>
+  <!-- interface-license-type mit -->
+  <!-- interface-name subliminal -->
+  <!-- interface-description Subtitles, faster than your thoughts -->
+  <!-- interface-copyright 2015 Antoine Bertin -->
+  <!-- interface-authors Antoine Bertin -->
+  <object class="GtkListStore" id="subtitle_liststore">
+    <columns>
+      <!-- column-name id -->
+      <column type="gchararray"/>
+      <!-- column-name language -->
+      <column type="gchararray"/>
+      <!-- column-name score -->
+      <column type="gint"/>
+      <!-- column-name provider -->
+      <column type="gchararray"/>
+      <!-- column-name hearing_impaired -->
+      <column type="gboolean"/>
+      <!-- column-name page_link -->
+      <column type="gchararray"/>
+      <!-- column-name downloaded -->
+      <column type="gboolean"/>
+    </columns>
+  </object>
+  <object class="GtkWindow" id="subtitle_window">
+    <property name="can_focus">False</property>
+    <property name="title" translatable="yes">Subliminal - Choose subtitles</property>
+    <child>
+      <object class="GtkBox" id="subtitle_box">
+        <property name="visible">True</property>
+        <property name="can_focus">False</property>
+        <property name="orientation">vertical</property>
+        <child>
+          <object class="GtkBox" id="video_box">
+            <property name="visible">True</property>
+            <property name="can_focus">False</property>
+            <property name="margin_start">6</property>
+            <property name="margin_top">5</property>
+            <property name="margin_bottom">5</property>
+            <child>
+              <object class="GtkLabel" id="video_label">
+                <property name="visible">True</property>
+                <property name="can_focus">False</property>
+                <property name="label" translatable="yes">Video: </property>
+                <attributes>
+                  <attribute name="weight" value="bold"/>
+                </attributes>
+              </object>
+              <packing>
+                <property name="expand">False</property>
+                <property name="fill">True</property>
+                <property name="position">0</property>
+              </packing>
+            </child>
+            <child>
+              <object class="GtkLabel" id="video_filename_label">
+                <property name="visible">True</property>
+                <property name="can_focus">False</property>
+                <property name="label">Video filename</property>
+              </object>
+              <packing>
+                <property name="expand">False</property>
+                <property name="fill">True</property>
+                <property name="position">1</property>
+              </packing>
+            </child>
+          </object>
+          <packing>
+            <property name="expand">False</property>
+            <property name="fill">True</property>
+            <property name="position">0</property>
+          </packing>
+        </child>
+        <child>
+          <object class="GtkScrolledWindow" id="subtitle_scrolledwindow">
+            <property name="can_focus">False</property>
+            <property name="hscrollbar_policy">never</property>
+            <property name="shadow_type">in</property>
+            <property name="min_content_height">350</property>
+            <signal name="delete-event" handler="on_subtitles_scrolledwindow_delete_event" swapped="no"/>
+            <child>
+              <object class="GtkTreeView" id="subtitle_treeview">
+                <property name="visible">True</property>
+                <property name="can_focus">True</property>
+                <property name="model">subtitle_liststore</property>
+                <signal name="row-activated" handler="on_subtitles_treeview_row_activated" swapped="no"/>
+                <child internal-child="selection">
+                  <object class="GtkTreeSelection" id="subtitle_treeview_selection"/>
+                </child>
+                <child>
+                  <object class="GtkTreeViewColumn" id="language_treeviewcolumn">
+                    <property name="min_width">250</property>
+                    <property name="title" translatable="yes">Language</property>
+                    <property name="expand">True</property>
+                    <property name="sort_column_id">1</property>
+                    <child>
+                      <object class="GtkCellRendererText" id="language_cellrenderertext"/>
+                      <attributes>
+                        <attribute name="text">1</attribute>
+                      </attributes>
+                    </child>
+                  </object>
+                </child>
+                <child>
+                  <object class="GtkTreeViewColumn" id="score_treeviewcolumn">
+                    <property name="title" translatable="yes">Score</property>
+                    <property name="sort_column_id">2</property>
+                    <child>
+                      <object class="GtkCellRendererText" id="score_cellrenderertext"/>
+                      <attributes>
+                        <attribute name="text">2</attribute>
+                      </attributes>
+                    </child>
+                  </object>
+                </child>
+                <child>
+                  <object class="GtkTreeViewColumn" id="provider_treeviewcolumn">
+                    <property name="min_width">140</property>
+                    <property name="title" translatable="yes">Provider</property>
+                    <property name="sort_column_id">3</property>
+                    <child>
+                      <object class="GtkCellRendererText" id="provider_cellrenderertext"/>
+                      <attributes>
+                        <attribute name="text">3</attribute>
+                      </attributes>
+                    </child>
+                  </object>
+                </child>
+                <child>
+                  <object class="GtkTreeViewColumn" id="hearing_impaired_treeviewcolumn">
+                    <property name="title" translatable="yes">Hearing Impaired</property>
+                    <property name="sort_column_id">4</property>
+                    <child>
+                      <object class="GtkCellRendererToggle" id="hearing_impaired_cellrenderertoggle"/>
+                      <attributes>
+                        <attribute name="active">4</attribute>
+                      </attributes>
+                    </child>
+                  </object>
+                </child>
+                <child>
+                  <object class="GtkTreeViewColumn" id="downloaded_treeviewcolumn">
+                    <property name="title" translatable="yes">Downloaded</property>
+                    <child>
+                      <object class="GtkCellRendererToggle" id="downloaded_cellrenderertoggle"/>
+                      <attributes>
+                        <attribute name="active">6</attribute>
+                      </attributes>
+                    </child>
+                  </object>
+                </child>
+              </object>
+            </child>
+          </object>
+          <packing>
+            <property name="expand">False</property>
+            <property name="fill">True</property>
+            <property name="position">1</property>
+          </packing>
+        </child>
+      </object>
+    </child>
+  </object>
+</interface>
diff --git a/examples/ui/config.glade b/examples/ui/config.glade
new file mode 100644
index 0000000..d3ca03f
--- /dev/null
+++ b/examples/ui/config.glade
@@ -0,0 +1,502 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- Generated with glade 3.18.3 
+
+The MIT License (MIT)
+
+Copyright (c) 2015 Antoine Bertin
+
+Permission is hereby granted, free of charge, to any person obtaining a copy
+of this software and associated documentation files (the "Software"), to deal
+in the Software without restriction, including without limitation the rights
+to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+copies of the Software, and to permit persons to whom the Software is
+furnished to do so, subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included in
+all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+THE SOFTWARE.
+
+Author: Antoine Bertin
+
+-->
+<interface domain="subliminal">
+  <requires lib="gtk+" version="3.10"/>
+  <!-- interface-license-type mit -->
+  <!-- interface-name subliminal -->
+  <!-- interface-description Subtitles, faster than your thoughts -->
+  <!-- interface-copyright 2015 Antoine Bertin -->
+  <!-- interface-authors Antoine Bertin -->
+  <object class="GtkAboutDialog" id="aboutdialog">
+    <property name="can_focus">False</property>
+    <property name="type">popup</property>
+    <property name="type_hint">dialog</property>
+    <property name="program_name">Subliminal</property>
+    <property name="comments" translatable="yes">Subtitles, faster than your thoughts.</property>
+    <property name="website">https://github.com/Diaoul/subliminal</property>
+    <property name="authors">Antoine Bertin</property>
+    <property name="logo_icon_name">emblem-favorite</property>
+    <property name="license_type">mit-x11</property>
+    <child internal-child="vbox">
+      <object class="GtkBox" id="aboutdialog_vbox">
+        <property name="can_focus">False</property>
+        <property name="orientation">vertical</property>
+        <property name="spacing">2</property>
+        <child internal-child="action_area">
+          <object class="GtkButtonBox" id="aboutdialog-action_area1">
+            <property name="can_focus">False</property>
+            <property name="layout_style">end</property>
+            <child>
+              <placeholder/>
+            </child>
+            <child>
+              <placeholder/>
+            </child>
+          </object>
+          <packing>
+            <property name="expand">False</property>
+            <property name="fill">False</property>
+            <property name="position">0</property>
+          </packing>
+        </child>
+        <child>
+          <placeholder/>
+        </child>
+      </object>
+    </child>
+  </object>
+  <object class="GtkAdjustment" id="age_adjustment">
+    <property name="upper">30</property>
+    <property name="step_increment">1</property>
+    <property name="page_increment">10</property>
+  </object>
+  <object class="GtkListStore" id="language_liststore">
+    <columns>
+      <!-- column-name name -->
+      <column type="gchararray"/>
+      <!-- column-name code -->
+      <column type="gchararray"/>
+    </columns>
+  </object>
+  <object class="GtkAdjustment" id="min_score_adjustment">
+    <property name="upper">100</property>
+    <property name="step_increment">1</property>
+    <property name="page_increment">10</property>
+  </object>
+  <object class="GtkListStore" id="provider_liststore">
+    <columns>
+      <!-- column-name name -->
+      <column type="gchararray"/>
+      <!-- column-name configuration -->
+      <column type="gchararray"/>
+    </columns>
+  </object>
+  <object class="GtkListStore" id="refiner_liststore">
+    <columns>
+      <!-- column-name name -->
+      <column type="gchararray"/>
+    </columns>
+  </object>
+  <object class="GtkWindow" id="config_window">
+    <property name="can_focus">False</property>
+    <property name="title">Subliminal - Configuration</property>
+    <signal name="delete-event" handler="on_config_window_delete_event" swapped="no"/>
+    <child>
+      <object class="GtkNotebook" id="config_notebook">
+        <property name="visible">True</property>
+        <property name="can_focus">True</property>
+        <property name="show_border">False</property>
+        <child>
+          <object class="GtkBox" id="language_box">
+            <property name="visible">True</property>
+            <property name="can_focus">False</property>
+            <property name="orientation">vertical</property>
+            <child>
+              <object class="GtkScrolledWindow" id="language_scrolledwindow">
+                <property name="visible">True</property>
+                <property name="can_focus">True</property>
+                <property name="hscrollbar_policy">never</property>
+                <property name="min_content_height">100</property>
+                <child>
+                  <object class="GtkTreeView" id="language_treeview">
+                    <property name="visible">True</property>
+                    <property name="can_focus">True</property>
+                    <property name="model">language_liststore</property>
+                    <child internal-child="selection">
+                      <object class="GtkTreeSelection" id="language_treeselection">
+                        <property name="mode">multiple</property>
+                        <signal name="changed" handler="on_languages_treeview_selection_changed" swapped="no"/>
+                      </object>
+                    </child>
+                    <child>
+                      <object class="GtkTreeViewColumn" id="language_name_treeviewcolumn">
+                        <property name="min_width">250</property>
+                        <property name="title" translatable="yes">Name</property>
+                        <property name="expand">True</property>
+                        <child>
+                          <object class="GtkCellRendererText" id="language_name_cellrenderertext"/>
+                          <attributes>
+                            <attribute name="text">0</attribute>
+                          </attributes>
+                        </child>
+                      </object>
+                    </child>
+                    <child>
+                      <object class="GtkTreeViewColumn" id="language_code_treeviewcolumn">
+                        <property name="min_width">100</property>
+                        <property name="title" translatable="yes">Code</property>
+                        <child>
+                          <object class="GtkCellRendererText" id="language_code_cellrenderertext"/>
+                          <attributes>
+                            <attribute name="text">1</attribute>
+                          </attributes>
+                        </child>
+                      </object>
+                    </child>
+                  </object>
+                </child>
+              </object>
+              <packing>
+                <property name="expand">True</property>
+                <property name="fill">True</property>
+                <property name="position">0</property>
+              </packing>
+            </child>
+          </object>
+        </child>
+        <child type="tab">
+          <object class="GtkLabel" id="languages_label">
+            <property name="visible">True</property>
+            <property name="can_focus">False</property>
+            <property name="label" translatable="yes">Languages</property>
+          </object>
+          <packing>
+            <property name="tab_fill">False</property>
+          </packing>
+        </child>
+        <child>
+          <object class="GtkBox" id="provider_box">
+            <property name="visible">True</property>
+            <property name="can_focus">False</property>
+            <property name="orientation">vertical</property>
+            <child>
+              <object class="GtkScrolledWindow" id="provider_scrolledwindow">
+                <property name="visible">True</property>
+                <property name="can_focus">True</property>
+                <property name="hscrollbar_policy">never</property>
+                <property name="min_content_height">100</property>
+                <child>
+                  <object class="GtkTreeView" id="provider_treeview">
+                    <property name="visible">True</property>
+                    <property name="can_focus">True</property>
+                    <property name="model">provider_liststore</property>
+                    <child internal-child="selection">
+                      <object class="GtkTreeSelection" id="provider_treeselection">
+                        <property name="mode">multiple</property>
+                        <signal name="changed" handler="on_providers_treeview_selection_changed" swapped="no"/>
+                      </object>
+                    </child>
+                    <child>
+                      <object class="GtkTreeViewColumn" id="provider_name_treeviewcolumn">
+                        <property name="min_width">140</property>
+                        <property name="title" translatable="yes">Name</property>
+                        <child>
+                          <object class="GtkCellRendererText" id="provider_name_cellrenderertext"/>
+                          <attributes>
+                            <attribute name="text">0</attribute>
+                          </attributes>
+                        </child>
+                      </object>
+                    </child>
+                    <child>
+                      <object class="GtkTreeViewColumn" id="provider_configuration_treeviewcolumn">
+                        <property name="min_width">250</property>
+                        <property name="title" translatable="yes">Configuration</property>
+                        <property name="expand">True</property>
+                        <child>
+                          <object class="GtkCellRendererText" id="provider_configuration_cellrenderertext"/>
+                          <attributes>
+                            <attribute name="text">1</attribute>
+                          </attributes>
+                        </child>
+                      </object>
+                    </child>
+                  </object>
+                </child>
+              </object>
+              <packing>
+                <property name="expand">True</property>
+                <property name="fill">True</property>
+                <property name="position">0</property>
+              </packing>
+            </child>
+          </object>
+          <packing>
+            <property name="position">1</property>
+          </packing>
+        </child>
+        <child type="tab">
+          <object class="GtkLabel" id="providers_label">
+            <property name="visible">True</property>
+            <property name="can_focus">False</property>
+            <property name="label" translatable="yes">Providers</property>
+          </object>
+          <packing>
+            <property name="position">1</property>
+            <property name="tab_fill">False</property>
+          </packing>
+        </child>
+        <child>
+          <object class="GtkBox" id="refiner_box">
+            <property name="visible">True</property>
+            <property name="can_focus">False</property>
+            <property name="orientation">vertical</property>
+            <child>
+              <object class="GtkScrolledWindow" id="refiner_scrolledwindow">
+                <property name="visible">True</property>
+                <property name="can_focus">True</property>
+                <property name="hscrollbar_policy">never</property>
+                <property name="min_content_height">100</property>
+                <child>
+                  <object class="GtkTreeView" id="refiner_treeview">
+                    <property name="visible">True</property>
+                    <property name="can_focus">True</property>
+                    <property name="model">refiner_liststore</property>
+                    <property name="reorderable">True</property>
+                    <property name="search_column">5</property>
+                    <child internal-child="selection">
+                      <object class="GtkTreeSelection" id="refiner_treeselection">
+                        <property name="mode">multiple</property>
+                        <signal name="changed" handler="on_refiners_treeview_selection_changed" swapped="no"/>
+                      </object>
+                    </child>
+                    <child>
+                      <object class="GtkTreeViewColumn" id="refiner_name_treeviewcolumn">
+                        <property name="min_width">140</property>
+                        <property name="title" translatable="yes">Name</property>
+                        <child>
+                          <object class="GtkCellRendererText" id="refiner_name_cellrenderertext"/>
+                          <attributes>
+                            <attribute name="text">0</attribute>
+                          </attributes>
+                        </child>
+                      </object>
+                    </child>
+                  </object>
+                </child>
+              </object>
+              <packing>
+                <property name="expand">True</property>
+                <property name="fill">True</property>
+                <property name="position">0</property>
+              </packing>
+            </child>
+          </object>
+          <packing>
+            <property name="position">2</property>
+          </packing>
+        </child>
+        <child type="tab">
+          <object class="GtkLabel" id="refiner_label">
+            <property name="visible">True</property>
+            <property name="can_focus">False</property>
+            <property name="label" translatable="yes">Refiners</property>
+          </object>
+          <packing>
+            <property name="position">2</property>
+            <property name="tab_fill">False</property>
+          </packing>
+        </child>
+        <child>
+          <object class="GtkGrid" id="general_grid">
+            <property name="visible">True</property>
+            <property name="can_focus">False</property>
+            <property name="margin_left">10</property>
+            <property name="margin_right">10</property>
+            <property name="margin_top">15</property>
+            <property name="margin_bottom">15</property>
+            <property name="row_spacing">20</property>
+            <property name="column_spacing">50</property>
+            <child>
+              <object class="GtkLabel" id="single_label">
+                <property name="visible">True</property>
+                <property name="can_focus">False</property>
+                <property name="tooltip_text" translatable="yes">Do not use this unless your media player requires it</property>
+                <property name="halign">start</property>
+                <property name="label" translatable="yes">Save subtitle without language code in the filename
+i.e. use .srt extension</property>
+              </object>
+              <packing>
+                <property name="left_attach">0</property>
+                <property name="top_attach">0</property>
+              </packing>
+            </child>
+            <child>
+              <object class="GtkSwitch" id="single_switch">
+                <property name="visible">True</property>
+                <property name="can_focus">True</property>
+                <property name="halign">start</property>
+                <property name="valign">center</property>
+                <signal name="notify::active" handler="on_single_switch_active_notify" swapped="no"/>
+              </object>
+              <packing>
+                <property name="left_attach">1</property>
+                <property name="top_attach">0</property>
+              </packing>
+            </child>
+            <child>
+              <object class="GtkLabel" id="embedded_subtitles_label">
+                <property name="visible">True</property>
+                <property name="can_focus">False</property>
+                <property name="halign">start</property>
+                <property name="label" translatable="yes">Ignore videos with embedded subtitles</property>
+              </object>
+              <packing>
+                <property name="left_attach">0</property>
+                <property name="top_attach">1</property>
+              </packing>
+            </child>
+            <child>
+              <object class="GtkSwitch" id="embedded_subtitles_switch">
+                <property name="visible">True</property>
+                <property name="can_focus">True</property>
+                <property name="halign">start</property>
+                <property name="valign">center</property>
+                <signal name="notify::active" handler="on_embedded_subtitles_switch_active_notify" swapped="no"/>
+              </object>
+              <packing>
+                <property name="left_attach">1</property>
+                <property name="top_attach">1</property>
+              </packing>
+            </child>
+            <child>
+              <object class="GtkLabel" id="age_label">
+                <property name="visible">True</property>
+                <property name="can_focus">False</property>
+                <property name="halign">start</property>
+                <property name="label" translatable="yes">Ignore videos older than this number of days
+when scanning folders</property>
+              </object>
+              <packing>
+                <property name="left_attach">0</property>
+                <property name="top_attach">2</property>
+              </packing>
+            </child>
+            <child>
+              <object class="GtkSpinButton" id="age_spinbutton">
+                <property name="visible">True</property>
+                <property name="can_focus">True</property>
+                <property name="halign">start</property>
+                <property name="valign">center</property>
+                <property name="adjustment">age_adjustment</property>
+                <property name="numeric">True</property>
+                <signal name="value-changed" handler="on_age_spinbutton_value_changed" swapped="no"/>
+              </object>
+              <packing>
+                <property name="left_attach">1</property>
+                <property name="top_attach">2</property>
+              </packing>
+            </child>
+            <child>
+              <object class="GtkLabel" id="hearing_impaired_label">
+                <property name="visible">True</property>
+                <property name="can_focus">False</property>
+                <property name="halign">start</property>
+                <property name="label" translatable="yes">Prefer hearing impaired subtitles</property>
+              </object>
+              <packing>
+                <property name="left_attach">0</property>
+                <property name="top_attach">3</property>
+              </packing>
+            </child>
+            <child>
+              <object class="GtkSwitch" id="hearing_impaired_switch">
+                <property name="visible">True</property>
+                <property name="can_focus">True</property>
+                <property name="halign">start</property>
+                <property name="valign">center</property>
+                <signal name="notify::active" handler="on_hearing_impaired_switch_active_notify" swapped="no"/>
+              </object>
+              <packing>
+                <property name="left_attach">1</property>
+                <property name="top_attach">3</property>
+              </packing>
+            </child>
+            <child>
+              <object class="GtkLabel" id="min_score_label">
+                <property name="visible">True</property>
+                <property name="can_focus">False</property>
+                <property name="halign">start</property>
+                <property name="label" translatable="yes">Minimum matching score</property>
+              </object>
+              <packing>
+                <property name="left_attach">0</property>
+                <property name="top_attach">4</property>
+              </packing>
+            </child>
+            <child>
+              <object class="GtkSpinButton" id="min_score_spinbutton">
+                <property name="visible">True</property>
+                <property name="can_focus">True</property>
+                <property name="halign">start</property>
+                <property name="valign">center</property>
+                <property name="adjustment">min_score_adjustment</property>
+                <property name="numeric">True</property>
+                <signal name="value-changed" handler="on_min_score_spinbutton_value_changed" swapped="no"/>
+              </object>
+              <packing>
+                <property name="left_attach">1</property>
+                <property name="top_attach">4</property>
+              </packing>
+            </child>
+          </object>
+          <packing>
+            <property name="position">3</property>
+          </packing>
+        </child>
+        <child type="tab">
+          <object class="GtkLabel" id="general_label">
+            <property name="visible">True</property>
+            <property name="can_focus">False</property>
+            <property name="label" translatable="yes">General</property>
+          </object>
+          <packing>
+            <property name="position">3</property>
+            <property name="tab_fill">False</property>
+          </packing>
+        </child>
+        <child>
+          <object class="GtkBox" id="about_box">
+            <property name="visible">True</property>
+            <property name="can_focus">False</property>
+            <property name="orientation">vertical</property>
+            <child>
+              <placeholder/>
+            </child>
+          </object>
+          <packing>
+            <property name="position">4</property>
+          </packing>
+        </child>
+        <child type="tab">
+          <object class="GtkLabel" id="about_label">
+            <property name="visible">True</property>
+            <property name="can_focus">False</property>
+            <property name="label" translatable="yes">About</property>
+          </object>
+          <packing>
+            <property name="position">4</property>
+            <property name="tab_fill">False</property>
+          </packing>
+        </child>
+      </object>
+    </child>
+  </object>
+</interface>
+
